Chat

List participant E2EE public keys

Returns registered identity public keys for users in this chat (for client-side key distribution).

AuthBearer (JWT)
GroupChat
Rate limitSee Rate Limits
GET/api/chat/projects/{projectId}/chats/{chatId}/e2ee/participant-keys

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);
import { Configuration, ChatApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const chat = new ChatApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await chat.getChatE2eeParticipantKeys("proj_jxfbw9R71hPq", "wkPZ0RZus8m0Bb36");
const { data: result } = await chat.getChatE2eeParticipantKeys("proj_jxfbw9R71hPq", "wkPZ0RZus8m0Bb36");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
chatIdstringYes

Responses

200Participant keys
json
{
  "success": true,
  "data": [
    {
      "userId": "usr_7PWhyzocMl9PJH",
      "identityPublicKey": "hard drive compress",
      "keyVersion": 10,
      "updatedAt": "2026-07-15T12:20:27.039Z"
    }
  ]
}
{
  "success": true,
  "data": [
    {
      "userId": "usr_7PWhyzocMl9PJH",
      "identityPublicKey": "hard drive compress",
      "keyVersion": 10,
      "updatedAt": "2026-07-15T12:20:27.039Z"
    }
  ]
}
401
404

Errors

CodeMeaning
401
404
Edit this page on GitHub